# std::char_traits::eof

From cppreference.com
< cpp‎ | string‎ | char traits

static int_type eof(); |  | (until C++11)
static constexpr int_type eof(); |  | (since C++11)

Returns a value not equivalent to any value of type `char_type`.

### Parameters

(none)

### Return value

A value not equivalent to any value of type `char_type`.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### See also

not_eof [static] | checks whether a character is eof value (public static member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/eof&oldid=91704"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template